using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Keyless]
[Table("POSTXML")]
public partial class Postxml
{
    public int DocUploadId { get; set; }

    public int? RegId { get; set; }

    public int? DisasterNo { get; set; }

    public int? DocumentId { get; set; }

    public int? WorkItemId { get; set; }

    [Column(TypeName = "datetime")]
    public DateTime? DocUploadDate { get; set; }

    [StringLength(100)]
    public string? DocUploadStatusCd { get; set; }

    [StringLength(100)]
    public string? WorkItemQueue { get; set; }

    [Column(TypeName = "datetime")]
    public DateTime? WorkItemDate { get; set; }
}
